Skip to main content
GET
/
api
/
v1
/
transactions
/
merchant
/
products
/
{product_id}
/
payments
List Product Payments Package Alias
curl --request GET \
  --url https://api.hevn.finance/api/v1/transactions/merchant/products/{product_id}/payments \
  --header 'Authorization: Bearer <token>'
[
  {
    "id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "productId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "ocQuoteId": "<string>",
    "usdAmount": "<string>",
    "status": "<string>",
    "createdAt": "2023-11-07T05:31:56Z",
    "clientReferenceId": "<string>",
    "memo": "<string>",
    "transactionId": "<string>",
    "buyerEmail": "<string>",
    "invoiceId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
    "metadata": {},
    "expiresAt": "2023-11-07T05:31:56Z"
  }
]

Authorizations

Authorization
string
header
default:Bearer <token>
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Headers

x-api-key
string | null

Path Parameters

product_id
string<uuid>
required

Query Parameters

limit
integer
default:50
offset
integer
default:0

Response

Successful Response

id
string<uuid>
required
productId
string<uuid>
required
ocQuoteId
string
required
usdAmount
string
required
Pattern: ^(?!^[-+.]*$)[+-]?0*\d*\.?\d*$
status
string
required
createdAt
string<date-time>
required
clientReferenceId
string | null
memo
string | null
transactionId
string | null
buyerEmail
string | null
invoiceId
string<uuid> | null
metadata
Metadata · object
expiresAt
string<date-time> | null